C+------------------------------------------------------------------------------
C
C     Name:   
C        af2_fchk.inc
C
C     Description:
C        Include file for routines which check for fibre collisions.  Defines
C        the status values for various types of collisions.
C
C     Language:
C        FORTRAN 77
C
C     Non-standard language extensions:
C        variable names > 6 characters
C
C     Authors:
C        (JRL): James R. Lewis -- RGO, Cambridge
C
C     History:
C        01 Dec 1995 (JRL):
C           Original version
C
C-------------------------------------------------------------------------------
C
C     Good fibre status value
C
      integer fchk_ok
      parameter (fchk_ok=0)
C
C     The two fibre tubes hit
C
      integer fchk_tubes
      parameter (fchk_tubes=1)
C
C     The second button hits the first tube
C
      integer fchk_b2t1
      parameter (fchk_b2t1=2)
C
C     The first button hits the second tube
C
      integer fchk_b1t2
      parameter (fchk_b1t2=3)
C
C     The two buttons hit
C
      integer fchk_buttons
      parameter (fchk_buttons=4)
C
C     The lines cross
C
      integer fchk_lines
      parameter (fchk_lines=5)
C
C     The fibre can't reach
C
      integer fchk_reach
      parameter (fchk_reach=6)
C
C     The maximum non-radial angle is exceeded
C
      integer fchk_maxang
      parameter (fchk_maxang=7)
