/*----------------------------------------------------------------------------*/
/*                                                                            */
/*    Name:                                                                   */
/*       af2_par.h                                                            */
/*                                                                            */
/*    Description:                                                            */
/*       General include file for af2_configure and its subroutines.  Defines */
/*       good and bad general status, the cursor placed and sky patch offset  */
/*       values,  maximum sizes for arrays, maximum number of text file       */
/*       versions, data type parameters for dynamic memory allocation,        */
/*       and the maximum size of the edit undo buffer. Note that if you       */
/*       change this file, you must change the FORTRAN version as well        */
/*       (af2_par.inc).                                                       */
/*                                                                            */
/*    Language:                                                               */
/*       ANSI C                                                               */
/*                                                                            */
/*    Non-standard language extensions:                                       */
/*       None                                                                 */
/*                                                                            */
/*    Authors:                                                                */
/*       (JRL): James R. Lewis -- RGO, Cambridge                              */
/*                                                                            */
/*    History:                                                                */
/*       01 Dec 1995 (JRL):                                                   */
/*          Original version                                                  */
/*                                                                            */
/*----------------------------------------------------------------------------*/

/* Good status value */
#define   AF2_OK      0

/* Error value */
#define   AF2_ERR     1
 
/* Offset allocation flag for cursor placed sky fibres */
#define   ALLOC_CUR   2000000
 
/* Offset allocation flag for sky dedicated fibres */
#define   ALLOC_SKY   1000000

/* Maximum number of objects allowed */
#define   MAXOBJ      999

/* Maximum number of fibres (object/sky and fiducial) */
#define   NFIBRES     160

/* Maximum number of file versions */
#define   MAXVER      99

/* Data types for dynamic memory allocation */
#define   TY_INT      1
#define   TY_FLOAT    2
#define   TY_DOUBLE   3
#define   TY_CHAR     4

/* Maximum size for undo buffer in editor */
#define   MAXUNDO     40
